Bug 98299 - Upate to resolve compile issues on the alpha
Summary: Upate to resolve compile issues on the alpha
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 1.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 98270
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-30 18:43 UTC by Need Real Name
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 18:51:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated mozilla spec file (25.92 KB, text/plain)
2003-06-30 18:46 UTC, Need Real Name
no flags Details
patch23: alpha gcc xpcom fix (4.84 KB, patch)
2003-06-30 18:48 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2003-06-30 18:43:36 UTC
Description of problem:
There are 2 compile issues on the alpha platform. 1. is an xpcom
update to gcc 3.2 format. 2. Is a fix to work around the gcc tool
chain issues. (Refer to bug 98270)

The patches below. 1. Fix the spec file and 2 adds a new xpcom patch.

This resolves the comlile issues, but now I get an Illegal instruction
upon attepmting to execute the binary. (EV56 system) this could be 
anything on my side. As I have a rawhide production server that hasn't
had a fresh install in 3 years. Please test on the redhat systems. I 
think there may be a fragment of ev6 code being run.

Version-Release number of selected component (if applicable):
mozilla-1.4-10.src.rpm


How reproducible:
Every TIme

Steps to Reproduce:
1.Attempt to compile
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Need Real Name 2003-06-30 18:46:04 UTC
Created attachment 92689 [details]
Updated mozilla spec file

Comment 2 Need Real Name 2003-06-30 18:48:00 UTC
Created attachment 92690 [details]
patch23: alpha gcc xpcom fix

this is the patch to go with the new spec file.

Comment 3 Need Real Name 2003-07-01 04:21:15 UTC
example of trying to run...
[root@shadowdragon external]# mozilla
Illegal instruction
[root@shadowdragon SPECS]#  LD_LIBRARY_PATH=/usr/lib/mozilla-1.4:/usr/lib/mozill
a-1.4/plugins
[root@shadowdragon SPECS]# export LD_LIBRARY_PATH
[root@shadowdragon SPECS]# gdb /usr/lib/mozilla-1.4/mozilla-bin -UILocale en-US
gdb: unrecognized option `-UILocale'
Use `gdb --help' for a complete list of options.
[root@shadowdragon SPECS]# gdb /usr/lib/mozilla-1.4/mozilla-bin                
GNU gdb Red Hat Linux (5.3post-0.20021129.21rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "alpha-redhat-linux-gnu"...
(no debugging symbols found)...
(gdb) run
Starting program: /usr/lib/mozilla-1.4/mozilla-bin 
(no debugging symbols found)...[New Thread 16384 (LWP 15711)]
Type Manifest File: /usr/lib/mozilla-1.4/components/xpti.dat
+++ JavaScript debugging hooks installed.
nsNativeComponentLoader: autoregistering begins.
nsNativeComponentLoader: autoregistering succeeded
nNCL: registering deferred (0)
[New Thread 32769 (LWP 15719)]
[New Thread 16386 (LWP 15720)]
[New Thread 32771 (LWP 15721)]
WARNING: dependent window created without a parent, file nsWindowCreator.cpp,
line 128

Program received signal SIGILL, Illegal instruction.
[Switching to Thread 16384 (LWP 15711)]
warning: Hit heuristic-fence-post without finding
warning: enclosing function for address 0x20004f4e008
This warning occurs if you are debugging a function without any symbols
(for example, in a stripped executable).  In that case, you may wish to
increase the size of the search with the `set heuristic-fence-post' command.

Otherwise, you told GDB there was a function where there isn't one, or
(more likely) you have encountered a bug in GDB.
0x0000020004f4e008 in ?? ()
(gdb) where
#0  0x0000020004f4e008 in ?? ()
#1  0x0000020004fddd54 in XineramaIsActive (dpy=0x1200b7850) at Xinerama.c:66
#2  0x0000020004fddd54 in XineramaIsActive (dpy=Cannot access memory at address 0x8
) at Xinerama.c:66
Cannot access memory at address 0x40


Comment 4 Christopher Blizzard 2003-07-03 18:51:42 UTC
You should send this upstream to mozilla.org, not here.  File a bug against
xptcall and make sure blizzard@mozilla.org is cc'ed on the request.


Note You need to log in before you can comment on or make changes to this bug.